{{ if and (.GitInfo) (site.Params.project) -}}
<div class="text-muted mt-5 pt-3 border-top">
  {{ T "post_last_mod" }} {{ .Lastmod.Format .Site.Params.time_format_default -}}
  {{ with .GitInfo }}: {{/* Trim WS */ -}}
    <a href="https://gitlab.com/{{ site.Params.project }}/commit/{{ substr .Hash 0 8 }}">
      {{- .Subject }} (<code>{{ substr .Hash 0 8 }}</code>) {{- /* Trim WS */ -}}
    </a>
  {{- end }}
</div>
{{ end -}}

{{ with .Page.File }}
{{ $viewHref := printf "https://gitlab.com/%s/blob/%s/content/%s" site.Params.project site.Params.branch .Path }}
{{ $editHref := printf "https://gitlab.com/-/ide/project/%s/edit/%s/-/content/%s" site.Params.project site.Params.branch .Path}}
{{ if hasPrefix .Path "docs" }}
  {{ $viewHref = printf "https://gitlab.com/gitlab-com/content-sites/docsy-gitlab/-/tree/main/content/%s" .Path }}
  {{ $editHref = printf "https://gitlab.com/-/ide/project/gitlab-com/content-sites/docsy-gitlab/edit/main/-/content/%s" .Path }}
{{ end }}

<div class="text-muted pt-3">
<a
  href="{{ $viewHref }}"
  class="td-page-meta--view" target="_blank" rel="noopener">
  <i class="fa fa-file-code fa-fw"></i> {{ T "post_view_this" }}
</a>
-
<a
  href="{{ $editHref }}"
  class="td-page-meta--edit" target="_blank" rel="noopener">
  <i class="fa fa-edit fa-fw"></i> {{ T "post_edit_this" }}
</a>
{{ end }}
{{ if not (eq .Site.BaseURL "https://internal.gitlab.com/") }}
-
please <a
href="https://handbook.gitlab.com/handbook/about/contributing/">contribute</a>.
<a href="https://creativecommons.org/licenses/by-sa/4.0/" target="_blank">
<img alt="Creative Commons License" src="https://i.creativecommons.org/l/by-sa/4.0/80x15.png" style="border-width: 0px;"></a>
</div>
{{ end }}
